<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID" value="IHESUB" />
	<ui:define name="body">
		<h:form id="globalForm">
			#{ihesubManagerBean.initBean()}
			<s:decorate id="messageDecoration">
				<rich:messages globalOnly="true" styleClass="message" />
			</s:decorate>
			<s:div id="globalDiv">
				<h1>#{ihesubManagerBean.getTheNameOfThePage()}</h1>
				<gri:panel id="mainPanel">
					<f:facet name="header">#{ihesubManagerBean.getTheNameOfThePage()}</f:facet>
					<s:div>
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText
							value="#{ihesubManagerBean.selectedTransaction.keyword} : " />
						<h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataSubscribeSubscribeTransaction']}"/>
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.SpecifyTheNotificationRecipientEndpoint']}"/>
                            </li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.YouCanAddOptionalMethadatasByClickingOnTheButton']}" /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequest']} " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToExecuteTheRequest']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
								value="messageConfigurationDiv,messagesDiv,actionButtons" />
							<ui:param name="simuManager" value="#{ihesubManagerBean}" />
							<ui:param name="diagramFile" value="/img/ITI52_sub.png" />
							<ui:param name="sourceID" value="" />
							<ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotificationBrokerSimulator']}"/>
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{false}" />
						</ui:include>
						<s:div id="messageConfigurationDiv">
							<!-- MESSAGE TYPE -->
							<s:div id="messageTypeDiv">
								<div class="row">
									<div class="col-md-3">
								<s:decorate id="mtDecorate" template="/layout/form/_edit.xhtml"
									rendered="#{(ihesubManagerBean.selectedTransaction != null) and (ihesubManagerBean.selectedConfiguration != null)}">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}</ui:define>
									<h:selectOneMenu
										value="#{ihesubManagerBean.selectedMessageType}" styleClass="form-control gzl-form-control gzl-select-text">
										<s:selectItems
											value="#{ihesubManagerBean.getListOfMessageTypesForSelectedTransaction()}"
											var="mt" label="#{mt.displayAttributeName}"
											noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}" />
										<a4j:ajax event="change"
											render="messageConfigurationDiv,actionButtons"
											listener="#{ihesubManagerBean.initAdhocQueryByMessageType()}" />
										<s:convertEntity />
									</h:selectOneMenu>
								</s:decorate>
									</div>
								</div>
							</s:div>
							<br />
							<gri:panel
								rendered="#{(ihesubManagerBean.selectedConfiguration != null) and (ihesubManagerBean.selectedMessageType != null)}">
								<div class="form-horizontal">

								<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">
                                        #{messages['net.ihe.gazelle.xdstar.NotificationRecipientEndpoint']}
                                    </ui:define>
									<h:inputText value="#{ihesubManagerBean.notificationAddress}"
										size="60" styleClass="form-control"/>
								</s:decorate>
								</div>
								<br />
								<f:subview id="subview_1">
									<ui:include src="/rsqcommon/parameters.xhtml">
										<ui:param name="CommonAQManagerBean"
											value="#{ihesubManagerBean}" />
									</ui:include>
								</f:subview>
							</gri:panel>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{ihesubManagerBean.selectedConfiguration != null}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							actionListener="#{ihesubManagerBean.sendMessage()}"
							value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
							rendered="#{ihesubManagerBean.selectedConfiguration != null}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{ihesubManagerBean.reset()}"
							value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
							render="globalDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<br />
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{ihesubManagerBean.displayResultPanel == true}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_2">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean"
									value="#{allMessageManagerBean}" />
							</ui:include>
						</f:subview>
						<br />
					</gri:panel>
				</s:div>
			</s:div>
		</h:form>

		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv"
					rendered="#{ihesubManagerBean.selectedConfiguration != null}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{ihesubManagerBean.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>

		<f:subview id="subview_3">
			<ui:include src="/rsqcommon/aqmodalPanels.xhtml">
				<ui:param name="CommonAQManagerBean" value="#{ihesubManagerBean}" />
			</ui:include>
		</f:subview>
	</ui:define>
</ui:composition>
